Bug 139603 - Anaconda can't figure out the boot loader and crashes
Summary: Anaconda can't figure out the boot loader and crashes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-16 21:40 UTC by Justin Findlay
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 15:41:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda's guts (104.87 KB, text/plain)
2004-11-16 21:49 UTC, Justin Findlay
no flags Details

Description Justin Findlay 2004-11-16 21:40:12 UTC
Description of problem:

(In text mode) There are three radio buttons ("Update boot loader
configuration," "Skip boot loader configuration," "Create new boot
loader configuration"), the first (Update) is unselectable.  If I
don't select one of the other two, anaconda crashes.  I'm upgrading an
existing FC3 install (just adding packages), so I don't know why
anaconda would not be able to understand what the boot loader is
doing.  I am installing over HTTP.

Version-Release number of selected component (if applicable):

anaconda-10.1.0.2-1

How reproducible:

always

Steps to Reproduce:
1. go to step upgbootloader
2. don't select any option
3. hit OK
  
Actual results:

crash

Expected results:

A friendly reminder to pick an option.  I don't know why "The
installer is unable to detect the boot loader currently in use on [my]
system."  I suppose that's a problem too.

Additional info:

Comment 1 Justin Findlay 2004-11-16 21:49:15 UTC
Created attachment 106847 [details]
anaconda's guts

Comment 2 Jeremy Katz 2004-11-17 18:48:51 UTC
Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.